from events.types.payload import Payload


class ChildRewardsSet(Payload):
    def __init__(self, child_id: str, reward_ids: list[str]):
        super().__init__({
            'child_id': child_id,
            'reward_ids': reward_ids
        })

    @property
    def child_id(self) -> str:
        return self.get("child_id")

    @property
    def reward_ids(self) -> list[str]:
        return self.get("reward_ids", [])



